CVE-2018-19787

Priority
Description
An issue was discovered in lxml before 4.2.5. lxml/html/clean.py in the
lxml.html.clean module does not remove javascript: URLs that use escaping,
allowing a remote attacker to conduct XSS attacks, as demonstrated by "j a
v a s c r i p t:" in Internet Explorer. This is a similar issue to
CVE-2014-3146.
Assigned-to
leosilva
Package
Source: lxml (LP Ubuntu Debian)
Upstream:released (4.2.5-1)
Ubuntu 12.04 ESM (Precise Pangolin):released (2.3.2-1ubuntu0.3)
Ubuntu 14.04 LTS (Trusty Tahr):released (3.3.3-1ubuntu0.2)
Ubuntu 16.04 LTS (Xenial Xerus):released (3.5.0-1ubuntu0.1)
Ubuntu 18.04 LTS (Bionic Beaver):released (4.2.1-1ubuntu0.1)
Ubuntu 18.10 (Cosmic Cuttlefish):not-affected (4.2.5-1)
Ubuntu 19.04 (Disco Dingo):not-affected
Patches:
Upstream:https://github.com/lxml/lxml/commit/6be1d081b49c97cfd7b3fbd934a193b668629109
More Information

Updated: 2019-01-14 22:31:38 UTC (commit 51f9b73af244ba86b9321e46e526586c25a8e060)